# -*- coding: utf-8 -*-
from datetime import datetime
from mongoengine import *
from mongoengine.django.auth import User

class Post(Document):
    picture = StringField(required=True)
    small_picture = StringField()
    thumb_picture = StringField()

    picture_width = IntField()
    picture_height = IntField()
    small_width = IntField()
    small_height = IntField()
    thumb_width = IntField()
    thumb_height = IntField()

    created = DateTimeField(default=datetime.now())
    uploader = ReferenceField(User)

    tags = ListField(StringField())
    type = StringField()

    meta = {
        'indexes': ['-created', 'uploader', 'tags'],
        'ordering': ['-created'],
    }

