from django.core.management.base import BaseCommand, CommandError
from profiles.models import Profile
from mongoengine.django.auth import User

class Command(BaseCommand):
    args = '<username> <password> <e-mail>'
    help = 'Created an admin user in the database backend'

    def handle(self, *args, **options):
        if len(args) == 3:
            try:
                profile = Profile()
                user = User.create_user(args[0], args[1], args[2])
                user.is_active = True
                user.is_superuser = True
                user.is_staff = True
                profile.user = user
                profile.save()
            except:
                CommandError("Validation error!")

            self.stdout.write('Successfully created user "%s"\n' % args[0])
