# -*- coding: utf-8 -*-
from django.template import RequestContext
from django.shortcuts import render_to_response, redirect
from mongoengine.django.auth import User
from forms import UserRegisterForm
from models import Profile

def register(request):
    if request.method == 'POST':
        form = UserRegisterForm(request.POST)
        if form.is_valid():
            # TODO: we need to check for double e-mails in database
            profile = Profile()
            user = User.create_user(form.cleaned_data['username'], form.cleaned_data['password'], form.cleaned_data['email'])
            user.is_active = False
            user.is_superuser = False
            user.is_staff = False
            profile.user = user
            profile.save()
            # TODO: Static page with successfull message
            return redirect('posts.views.list')
    form = UserRegisterForm()
        # We need the RequestContext for the CSRF protection
    return render_to_response('profiles/register.html', {'form': form}, context_instance=RequestContext(request))

def details(request):
    pass

# TODO: only for admins
def list(request):
    pass

def edit(request):
    pass