# -*- coding: utf-8 -*-
from datetime import datetime
from mongoengine import *

TYPE = (
    ('UN', 'Unknown'),
    ('AR','Artist'),
    ('CI','Circle'),
    ('GE','General'),
    ('FA','Faults'),
    ('CO','Copyright'),
    ('CH','Character'),
    )

class Tag(Document):
    name = StringField(max_length=30, min_length=2, unique=True, required=True)
    type = StringField(default='UN', max_length=2, choices=TYPE, required=True)
    color = StringField(default='FF0000', max_length=6, min_length=6, required=True)

    created = DateTimeField(default=datetime.now)
    count = IntField(required=True)

    meta = {
        'indexes': ['-created', 'name', 'count'],
        'ordering': ['-created'],
        }

    def _setColor(self):
        if self.type == 'UN':
            self.color = 'A4A4A4'
        elif self.type == 'AR':
            self.color = 'FFFF00'
        elif self.type == 'CI':
            self.color = 'C0C0C0'
        elif self.type == 'GE':
            self.color = '000000'
        elif self.type == 'FA':
            self.color = 'FF0000'
        elif self.type == 'CO':
            self.color = 'FF00FF'
        elif self.type == 'CH':
            self.color = '00FF00'

    def save(self, **kwargs):
        self._setColor()
        super(Tag, self).save(**kwargs)