# -*- coding: utf-8 -*-
import math

class Paginator():
    def __init__(self, item_count, items_per_page):
        self.item_count = item_count
        self.pages = int(math.ceil(float(item_count) / float(items_per_page)))
        if self.pages == 0:
            self.pages = 1
        self.items_per_pages = items_per_page
        self.current_page = int(1)
        self.html_query = ''
        self.pages_sequence = []
        self.show_first = False
        self.show_last = False

    def set_page(self, num):
        self.show_first = False
        self.show_last = False
        self.current_page = num
        if num > self.pages:
            self.current_page = self.pages
        if num < 1:
            self.current_page = 1
        if self.pages < 8:
                self.pages_sequence = range(1,self.pages + 1 , 1)
        else:
            if self.current_page < 6:
                self.pages_sequence = range(1, 6, 1)
                self.show_last = True
            else:
                self.show_first = True
                if self.current_page+3 < self.pages:
                    self.show_last = True
                    self.pages_sequence = range(self.current_page-1, self.current_page+2, 1)
                else:
                    self.show_last = False
                    self.pages_sequence = range(self.pages-4, self.pages+1,1)

    def has_next(self):
        return (self.current_page + 1) <= self.pages

    def has_previous(self):
        return (self.current_page - 1) > 0

    def next_page(self):
        return self.current_page + 1

    def previous_page(self):
        return self.current_page - 1

    def last_page(self):
        return self.pages


def list2string(list):
    string = ''
    for item in list:
        string = item + '+'